{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MBPAR_TYPE; 
            externalType = VARCHAR2; 
            name = mbparType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = MPAR_KEY; 
            externalType = NUMBER; 
            name = mparKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mparKey, persId); 
    className = EOGenericRecord; 
    classProperties = (
        mparKey, 
        persId, 
        mbparType, 
        fannKey, 
        toScolFormationAnnee, 
        toGrhumPersonne, 
        toScolMaquetteParcours, 
        toScolConstanteResponsabilite
    ); 
    externalName = SCOL_MAQUETTE_RESPONSABLE_PAR; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteResponsablePar; 
    primaryKeyAttributes = (mparKey, persId); 
    relationships = (
        {
            destination = GrhumPersonne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toGrhumPersonne; 
        }, 
        {
            destination = ScolConstanteResponsabilite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cresCode; sourceAttribute = mbparType; }); 
            name = toScolConstanteResponsabilite; 
        }, 
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolMaquetteParcours; 
            internalInfo = {_nameInObjectStore = toScolMaquetteAp; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mparKey; sourceAttribute = mparKey; }); 
            name = toScolMaquetteParcours; 
        }
    ); 
}
